Bug 13968 - vfs_fruit makes direct use of syscalls like mmap() and pread()
vfs_fruit makes direct use of syscalls like mmap() and pread()
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: VFS Modules
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-05-24 13:19 UTC by Ralph Böhme
Modified: 2019-06-26 07:23 UTC (History)
2 users (show)

See Also:


Attachments
Patch for 4.9 and 4.10 cherry-picked from master (63.06 KB, patch)
2019-06-06 12:38 UTC, Ralph Böhme
jra: review+
gd: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Böhme 2019-05-24 13:19:09 UTC
vfs_fruit makes direct use of syscalls like mmap() and pread(), so it's doesn't work on any virtual fileystem like glusterfs or ceph.

Have patch, need bugnumber...
Comment 1 Jeremy Allison 2019-05-24 16:09:47 UTC
Woo hoo ! Thanks a *LOT* for fixing this. It's been bugging me for a while :-).
Comment 2 Ralph Böhme 2019-06-06 12:38:51 UTC
Created attachment 15225 [details]
Patch for 4.9 and 4.10 cherry-picked from master
Comment 3 Guenther Deschner 2019-06-06 14:02:14 UTC
Patch does not apply on 4-9-test it seems.
Comment 4 Ralph Böhme 2019-06-06 16:16:47 UTC
(In reply to Guenther Deschner from comment #3)
You have to apply the patch for bug #13958 first.
Comment 5 Guenther Deschner 2019-06-07 09:06:43 UTC
(In reply to Ralph Böhme from comment #4)
Got it, thanks!
Comment 6 Guenther Deschner 2019-06-07 09:15:15 UTC
Comment on attachment 15225 [details]
Patch for 4.9 and 4.10 cherry-picked from master

LGTM
Comment 7 Guenther Deschner 2019-06-07 09:16:08 UTC
Karolin, please add to 4.9 and 4.10
Comment 8 Karolin Seeger 2019-06-20 10:06:00 UTC
(In reply to Guenther Deschner from comment #7)
Pushed to autobuild-v4-{10,9}-test.
Comment 9 Karolin Seeger 2019-06-26 07:23:07 UTC
(In reply to Karolin Seeger from comment #8)
Pushed to both branches.
Closing out bug report.

Thanks!